aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-email-mime-contenttype/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 13:11:22 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 13:11:26 +0000
commit74102c9b890d01eec259d2683ac03c512362644a (patch)
tree9afbe556442351211fa04d08533072d4aae8d23a /community/perl-email-mime-contenttype/APKBUILD
parent50600e946ff70532a84709332cde00e4e65a044b (diff)
downloadaports-74102c9b890d01eec259d2683ac03c512362644a.tar.bz2
aports-74102c9b890d01eec259d2683ac03c512362644a.tar.xz
community/perl-email-mime-contenttype: moved from testing
Diffstat (limited to 'community/perl-email-mime-contenttype/APKBUILD')
-rw-r--r--community/perl-email-mime-contenttype/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/perl-email-mime-contenttype/APKBUILD b/community/perl-email-mime-contenttype/APKBUILD
new file mode 100644
index 0000000000..c76c874f3a
--- /dev/null
+++ b/community/perl-email-mime-contenttype/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-email-mime-contenttype
+_pkgreal=Email-MIME-ContentType
+pkgver=1.018
+pkgrel=0
+pkgdesc="Parse a MIME Content-Type Header"
+url="http://search.cpan.org/dist/Email-MIME-ContentType/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" perl-capture-tiny "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="d9cfad14b86d2617e379fc2441fdec17 Email-MIME-ContentType-1.018.tar.gz"
+sha256sums="7508cd1227b8f150a403ca49658cb4a0892836dd8f01ff95f049957b2abf10f9 Email-MIME-ContentType-1.018.tar.gz"
+sha512sums="0b3f9af2521cfd2aaac602f8e67f1ab12b7f9aa711d16ef73f95cb197ceae96c3f72328a21ba7c6a5c37a87822d774b0dfef090bc6b371b11e0dd866c61b197b Email-MIME-ContentType-1.018.tar.gz"